> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ジョブ URL の生成

> ジョブ URL の生成は、Connect AI のジョブページにリダイレクトします。

このエンドポイントはサブアカウントにスコープされたリダイレクト URL を返します。Connect AI Embed の管理者またはサブアカウントユーザーが、CData の共同ブランドのビジュアルインターフェースを通じてキャッシュコネクションとジョブを管理できます。

まだ設定していない場合は、キャッシュされたデータ用に PostgreSQL データウェアハウスを設定する必要があります。**Set Up Data Warehouse** をクリックして、[PostgreSQL](/ja/Data-Sources/PostgreSQL-Embedded) の **Add Connection** ページを表示し、手順に従ってください。

データウェアハウスが設定されたら、**Add Job** をクリックしてキャッシュジョブを追加します。**Add Job** ウィザードの手順に従ってジョブをスケジュールしてください。詳細な手順については、[キャッシュジョブの追加](/ja/Caching#add-a-cache-job) を参照してください。

データのキャッシュを有効にすると、Connect AI Embed はライブデータではなくキャッシュされたデータに対してデータベースクエリを実行することに注意してください。キャッシュ機能の完全な概要については、[キャッシュ](/ja/Caching) を参照してください。


## OpenAPI

````yaml ja/API/REST-API-Embedded.yaml POST /poweredby/jobs
openapi: 3.1.0
info:
  title: CData Connect AI REST API Embedded
  version: v1
servers:
  - url: https://cloud.cdata.com/api
    description: Production base URL
security:
  - BearerAuth: []
paths:
  /poweredby/jobs:
    post:
      tags:
        - Jobs
      summary: Generate Jobs URL
      description: |
        Generate Jobs URL redirects you to the Jobs page of Connect AI.
      operationId: generateJobsURL
      responses:
        '200':
          description: A string containing the URL to redirect the user to.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedirectURLResponse'
              example:
                redirectURL: >-
                  https://cloud.cdata.com/oem/user/jobs?token=eyJhbGciOiJSUzI1NiIs...truncated...
components:
  schemas:
    RedirectURLResponse:
      type: object
      required:
        - redirectURL
      properties:
        redirectURL:
          type: string
          description: >-
            A string containing the CData-hosted connection URL to redirect the
            user to.
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT token authentication. Include the token in the Authorization header
        as `Bearer {token}`. See
        [Authentication](/ja/API/Authentication-Embedded) for more information
        on creating a token.

````